Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://ctechnology.io/api/v2.2/trip/{trip_id} \ --header 'Authorization: <api-key>'
{ "header": { "api_version": "<string>", "status": "<string>", "message": "<string>", "permission_via": [ { "permission": "<string>", "organization_id": "<string>" } ] }, "data": { "id": "<string>", "vehicle_id": "<string>", "timestamp_start": "2023-11-07T05:31:56Z", "timestamp_end": "2023-11-07T05:31:56Z", "completed": true, "deleted": true, "valid": true, "validation_score": 123, "name": "<string>", "driver": "<string>", "image_rect_url": "<string>", "speed_max": 123, "speed_avg": 123, "distance_tot": 123, "distance_tot_gps": 123, "duration_tot": 123, "duration_cruising": 123, "battery_start_level_volt": 123, "battery_end_level_volt": 123, "num_likes": 123, "timestamp_original_start": "2023-11-07T05:31:56Z", "timestamp_original_end": "2023-11-07T05:31:56Z", "on_land": true, "notes": "<string>", "fuel_manual_lt": 123, "distance_tot_can": 123, "distance_tot_odo": 123, "fuel_start_level_pct": 123, "fuel_start_level_lt": 123, "fuel_most_recent_pct": 123, "fuel_most_recent_vlt": 123, "fuel_used_pct": 123, "fuel_used_lt": 123, "fuel_num_refueled": 123, "fuel_refueled_pct": 123, "fuel_refueled_lt": 123, "fuel_avg_lt_per_100km": 123, "fuel_avg_pct_per_100km": 123, "start_energy_available_ah": 123, "end_energy_available_ah": 123, "continuous_energy_consumption_ah": 123, "start_energy_available_wh": 123, "end_energy_available_wh": 123, "continuous_energy_consumption_wh": 123, "start_energy_available_pct": 123, "end_energy_available_pct": 123, "continuous_energy_consumption_pct": 123, "n2k_operation_hours_tot": 123, "can_fuel_consumption_avg": 123, "can_fuel_consumption_max": 123, "can_fuel_consumption_tot": 123, "can_rpm_max": 123, "can_rpm_avg": 123, "is_liked_by_me": true } }
Gets a single trip as identified by its ID.
Note that the API key has to be sent as Token 123 where 123 is the key you received after logging in or by creating on the developer dashboard.
Token 123
123
ID of trip to get.
A request token for shared trips.
Successful retrieval of this trip.
Default header sent along with single-resource responses.
Show child attributes
A single trip performed by a vehicle.